Program Params;

Var
  S: String ( 42 );

begin
  if ParamCount = 1 then
    begin
      S:= ParamStr ( 0 );
      if copy ( S, length ( S ) - 4, 5 ) = 'a.out' then
        writeln ( 'OK' )
      else
        writeln ( 'failed' );
    end (* if *)
  else
    writeln ( 'failed' );
end.
